Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation
<DefaultClassOptions()> _
<NavigationItem(False), CreatableItem(False)> _
Public Class WorkSheet_Rows 'Elvégzett munkák
    Inherits BaseObject
    Private _WorkSheet_Header As WorkSheet_Header 'Fejléc
    Private _RowIndex As Long 'Sor index (mozgathatónak kell lennie !)
    Private _RowGroup1 As String 'Szöveges csoportosítás (nem kötelező)
    Private _RowGroup2 As String 'Szöveges másodlagos csoportosítás (nem kötelező)
    Private _ShortName As String 'Megnevezés
    Private _Description As String 'Leírás
    Private _Quantity As Double 'Mennyiség
    Private _Units As Units 'Mennyiségi egység
    Private _WorkType As eWorkType 'A sor milyen (Fizetős, garancia vagy vegyes)
    Private _WorkRowType As eWorkRowType 'Az adott sor mit tartalmaz

    '---- Beemelések szolgáltatás és receptből
    Private _Services As Services ' A szolgáltatás törzsből az adott szolgáltatás
    Private _RecipeFromOther As RecipeFromOther 'Receprt miből egyéb sor

    Public Sub New(ByVal session As Session)
        MyBase.New(session)
    End Sub
    <Association("WorkSheet_Header-WorkSheet_Rows", GetType(WorkSheet_Header))> _
    Property WorkSheet_Header() As WorkSheet_Header
        Get
            Return _WorkSheet_Header
        End Get
        Set(ByVal value As WorkSheet_Header)
            SetPropertyValue("WorkSheet_Header", _WorkSheet_Header, value)
        End Set
    End Property
    Property RowIndex() As Long
        Get
            Return _RowIndex
        End Get
        Set(ByVal value As Long)
            SetPropertyValue("RowIndex", _RowIndex, value)
        End Set
    End Property
    Property RowGroup1 As String
        Get
            Return _RowGroup1
        End Get
        Set(value As String)
            SetPropertyValue("RowGroup1", _RowGroup1, value)
        End Set
    End Property
    Property RowGroup2 As String
        Get
            Return _RowGroup2
        End Get
        Set(value As String)
            SetPropertyValue("RowGroup2", _RowGroup2, value)
        End Set
    End Property
    Property ShortName As String
        Get
            Return _ShortName
        End Get
        Set(value As String)
            SetPropertyValue("ShortName", _ShortName, value)
        End Set
    End Property
    Property Description As String
        Get
            Return _Description
        End Get
        Set(value As String)
            SetPropertyValue("Description", _Description, value)
        End Set
    End Property
    Property Quantity() As Double
        Get
            Return _Quantity
        End Get
        Set(ByVal value As Double)
            SetPropertyValue("Quantity", _Quantity, value)
        End Set
    End Property
    Property Units() As Units
        Get
            Return _Units
        End Get
        Set(ByVal value As Units)
            SetPropertyValue("Units", _Units, value)
        End Set
    End Property
    Property WorkType() As eWorkType
        Get
            Return _WorkType
        End Get
        Set(ByVal value As eWorkType)
            SetPropertyValue("WorkType", _WorkType, value)
        End Set
    End Property
    Property WorkRowType As eWorkRowType
        Get
            Return _WorkRowType
        End Get
        Set(value As eWorkRowType)
            SetPropertyValue("WorkRowType", _WorkRowType, value)
        End Set
    End Property
    Property Services As Services
        Get
            Return _Services
        End Get
        Set(value As Services)
            SetPropertyValue("Services", _Services, value)
        End Set
    End Property
    Property RecipeFromOther As RecipeFromOther
        Get
            Return _RecipeFromOther
        End Get
        Set(value As RecipeFromOther)
            SetPropertyValue("RecipeFromOther", _RecipeFromOther, value)
        End Set
    End Property

End Class
